$ErrorActionPreference = 'Stop';

$packageName= 'software-ideas-modeler'
$url        = 'https://www.softwareideas.net/Download/File/838/SoftwareIdeasModelerSetup32-11-100.exe'
$url64      = 'https://www.softwareideas.net/Download/File/839/SoftwareIdeasModelerSetup64-11-100.exe'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'Software Ideas Modeler*'

  checksum      = '4453d813451ae38808ca77ef0ea626f16ab12e2904e462440097a35576a37f81'
  checksumType  = 'sha256'
  checksum64    = 'f58c09b2448a1d51d319634174ffbcc25abd6fe9182eeca6ca6340d8567c2e45'
  checksumType64= 'sha256'

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
